Package com.independentsoft.office.spreadsheet.connections

# Class TextImportSettings

java.lang.Object
com.independentsoft.office.spreadsheet.connections.TextImportSettings

public class TextImportSettings extends Object
The Class TextImportSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextImportSettings()`
  Instantiates a new text import settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextImportSettings`
  `clone()`
  `int`
  `getCodePage()`
  Gets the code page.
  `String`
  `getDecimalSeparator()`
  Gets the decimal separator.
  `String`
  `getDelimiter()`
  Gets the delimiter.
  `FileType`
  `getFileType()`
  Gets the file type.
  `int`
  `getFirstRow()`
  Gets the first row.
  `Qualifier`
  `getQualifier()`
  Gets the qualifier.
  `String`
  `getSourceFileName()`
  Gets the source file name.
  `List<TextField>`
  `getTextFields()`
  Gets the text fields.
  `String`
  `getThousandsSeparator()`
  Gets the thousands separator.
  `boolean`
  `isCommaDelimiter()`
  Checks if is comma delimiter.
  `boolean`
  `isConsecutive()`
  Checks if is consecutive.
  `boolean`
  `isFileDelimited()`
  Checks if is file delimited.
  `boolean`
  `isPromptForFileName()`
  Checks if is prompt for file name.
  `boolean`
  `isSemicolonDelimiter()`
  Checks if is semicolon delimiter.
  `boolean`
  `isSpaceDelimiter()`
  Checks if is space delimiter.
  `boolean`
  `isTabDelimiter()`
  Checks if is tab delimiter.
  `void`
  `setCodePage​(int codePage)`
  Sets the code page.
  `void`
  `setCommaDelimiter​(boolean isCommaDelimiter)`
  Sets the comma delimiter.
  `void`
  `setConsecutive​(boolean consecutive)`
  Sets the consecutive.
  `void`
  `setDecimalSeparator​(String decimalSeparator)`
  Sets the decimal separator.
  `void`
  `setDelimiter​(String delimiter)`
  Sets the delimiter.
  `void`
  `setFileDelimited​(boolean isFileDelimited)`
  Sets the file delimited.
  `void`
  `setFileType​(FileType fileType)`
  Sets the file type.
  `void`
  `setFirstRow​(int firstRow)`
  Sets the first row.
  `void`
  `setPromptForFileName​(boolean promptForFileName)`
  Sets the prompt for file name.
  `void`
  `setQualifier​(Qualifier qualifier)`
  Sets the qualifier.
  `void`
  `setSemicolonDelimiter​(boolean isSemicolonDelimiter)`
  Sets the semicolon delimiter.
  `void`
  `setSourceFileName​(String sourceFileName)`
  Sets the source file name.
  `void`
  `setSpaceDelimiter​(boolean isSpaceDelimiter)`
  Sets the space delimiter.
  `void`
  `setTabDelimiter​(boolean isTabDelimiter)`
  Sets the tab delimiter.
  `void`
  `setThousandsSeparator​(String thousandsSeparator)`
  Sets the thousands separator.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextImportSettings

    public TextImportSettings()
    Instantiates a new text import settings.

- ## Method Details

  - ### clone

    public TextImportSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTextFields

    public List<TextField> getTextFields()
    Gets the text fields.
    Returns:
      the text fields

  - ### getCodePage

    public int getCodePage()
    Gets the code page.
    Returns:
      the code page

  - ### setCodePage

    public void setCodePage​(int codePage)
    Sets the code page.
    Parameters:
      `codePage` - the new code page

  - ### isCommaDelimiter

    public boolean isCommaDelimiter()
    Checks if is comma delimiter.
    Returns:
      true, if is comma delimiter

  - ### setCommaDelimiter

    public void setCommaDelimiter​(boolean isCommaDelimiter)
    Sets the comma delimiter.
    Parameters:
      `isCommaDelimiter` - the new comma delimiter

  - ### isConsecutive

    public boolean isConsecutive()
    Checks if is consecutive.
    Returns:
      true, if is consecutive

  - ### setConsecutive

    public void setConsecutive​(boolean consecutive)
    Sets the consecutive.
    Parameters:
      `consecutive` - the new consecutive

  - ### getDecimalSeparator

    public String getDecimalSeparator()
    Gets the decimal separator.
    Returns:
      the decimal separator

  - ### setDecimalSeparator

    public void setDecimalSeparator​(String decimalSeparator)
    Sets the decimal separator.
    Parameters:
      `decimalSeparator` - the new decimal separator

  - ### isFileDelimited

    public boolean isFileDelimited()
    Checks if is file delimited.
    Returns:
      true, if is file delimited

  - ### setFileDelimited

    public void setFileDelimited​(boolean isFileDelimited)
    Sets the file delimited.
    Parameters:
      `isFileDelimited` - the new file delimited

  - ### getDelimiter

    public String getDelimiter()
    Gets the delimiter.
    Returns:
      the delimiter

  - ### setDelimiter

    public void setDelimiter​(String delimiter)
    Sets the delimiter.
    Parameters:
      `delimiter` - the new delimiter

  - ### getFileType

    public FileType getFileType()
    Gets the file type.
    Returns:
      the file type

  - ### setFileType

    public void setFileType​(FileType fileType)
    Sets the file type.
    Parameters:
      `fileType` - the new file type

  - ### getFirstRow

    public int getFirstRow()
    Gets the first row.
    Returns:
      the first row

  - ### setFirstRow

    public void setFirstRow​(int firstRow)
    Sets the first row.
    Parameters:
      `firstRow` - the new first row

  - ### isPromptForFileName

    public boolean isPromptForFileName()
    Checks if is prompt for file name.
    Returns:
      true, if is prompt for file name

  - ### setPromptForFileName

    public void setPromptForFileName​(boolean promptForFileName)
    Sets the prompt for file name.
    Parameters:
      `promptForFileName` - the new prompt for file name

  - ### getQualifier

    public Qualifier getQualifier()
    Gets the qualifier.
    Returns:
      the qualifier

  - ### setQualifier

    public void setQualifier​(Qualifier qualifier)
    Sets the qualifier.
    Parameters:
      `qualifier` - the new qualifier

  - ### isSemicolonDelimiter

    public boolean isSemicolonDelimiter()
    Checks if is semicolon delimiter.
    Returns:
      true, if is semicolon delimiter

  - ### setSemicolonDelimiter

    public void setSemicolonDelimiter​(boolean isSemicolonDelimiter)
    Sets the semicolon delimiter.
    Parameters:
      `isSemicolonDelimiter` - the new semicolon delimiter

  - ### getSourceFileName

    public String getSourceFileName()
    Gets the source file name.
    Returns:
      the source file name

  - ### setSourceFileName

    public void setSourceFileName​(String sourceFileName)
    Sets the source file name.
    Parameters:
      `sourceFileName` - the new source file name

  - ### isSpaceDelimiter

    public boolean isSpaceDelimiter()
    Checks if is space delimiter.
    Returns:
      true, if is space delimiter

  - ### setSpaceDelimiter

    public void setSpaceDelimiter​(boolean isSpaceDelimiter)
    Sets the space delimiter.
    Parameters:
      `isSpaceDelimiter` - the new space delimiter

  - ### isTabDelimiter

    public boolean isTabDelimiter()
    Checks if is tab delimiter.
    Returns:
      true, if is tab delimiter

  - ### setTabDelimiter

    public void setTabDelimiter​(boolean isTabDelimiter)
    Sets the tab delimiter.
    Parameters:
      `isTabDelimiter` - the new tab delimiter

  - ### getThousandsSeparator

    public String getThousandsSeparator()
    Gets the thousands separator.
    Returns:
      the thousands separator

  - ### setThousandsSeparator

    public void setThousandsSeparator​(String thousandsSeparator)
    Sets the thousands separator.
    Parameters:
      `thousandsSeparator` - the new thousands separator